package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class StatusGinekologiDetailVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectprodukDetailLabAnatomiFk")
	@Caption(value="Object produkDetailLabAnatomi")
	private ProdukDetailLabAnatomiVO produkDetailLabAnatomi;
	
	@Column(name = "ObjectprodukDetailLabAnatomiFk", insertable=false,updatable=false, nullable=false)
	private String produkDetailLabAnatomiId;

	@ManyToOne
	@JoinColumn(name = "ObjectstatusGinekologiFk")
	@NotNull(message="Object statusGinekologi Harus Diisi")
	@Caption(value="Object statusGinekologi")
	private StatusGinekologiVO statusGinekologi;

	@Column(name = "ObjectstatusGinekologiFk", insertable=false,updatable=false, nullable=false)
	private Integer statusGinekologiId;

	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public ProdukDetailLabAnatomiVO getProdukDetailLabAnatomi() {
		return produkDetailLabAnatomi;
	}

	public void setProdukDetailLabAnatomi(ProdukDetailLabAnatomiVO produkDetailLabAnatomi) {
		this.produkDetailLabAnatomi = produkDetailLabAnatomi;
	}

	public String getProdukDetailLabAnatomiId() {
		return produkDetailLabAnatomiId;
	}

	public void setProdukDetailLabAnatomiId(String produkDetailLabAnatomiId) {
		this.produkDetailLabAnatomiId = produkDetailLabAnatomiId;
	}

	public StatusGinekologiVO getStatusGinekologi() {
		return statusGinekologi;
	}

	public void setStatusGinekologi(StatusGinekologiVO statusGinekologi) {
		this.statusGinekologi = statusGinekologi;
	}

	public Integer getStatusGinekologiId() {
		return statusGinekologiId;
	}

	public void setStatusGinekologiId(Integer statusGinekologiId) {
		this.statusGinekologiId = statusGinekologiId;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}
	
}
